Package org.codehaus.janino

# Class Java.FunctionDeclarator.FormalParameters

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.FunctionDeclarator.FormalParameters

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java.FunctionDeclarator`

public static final class Java.FunctionDeclarator.FormalParameters extends Java.Located
Representation of the (formal) function parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.FunctionDeclarator.FormalParameter[]`
`parameters`
The parameters of this function, but not the `variableArity`.
`final boolean`
`variableArity`
Whether this method has "variable arity", i.e.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`FormalParameters(Location location)`
`FormalParameters(Location location, Java.FunctionDeclarator.FormalParameter[] parameters, boolean variableArity)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### parameters

public final Java.FunctionDeclarator.FormalParameter[] parameters
The parameters of this function, but not the `variableArity`.

### variableArity

public final boolean variableArity
Whether this method has "variable arity", i.e. its last parameter has an ellipsis ("...") after the type.

## Constructor Details

### FormalParameters

public FormalParameters(Location location)

### FormalParameters

public FormalParameters(Location location, Java.FunctionDeclarator.FormalParameter[] parameters, boolean variableArity)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`